Package com.xebialabs.xlrelease.domain.environments

# Class DeploymentTarget

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.environments.DeploymentTarget

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(description="External system entity that represents place of deployment for ApplicationSource", versioned=false, root=CONFIGURATION, virtual=true) public class DeploymentTarget extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeploymentTarget()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getTargetUrl()`
  `int`
  `hashCode()`
  `void`
  `setTargetUrl(String targetUrl)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeploymentTarget

    public DeploymentTarget()

- ## Method Details

  - ### getTargetUrl

    public String getTargetUrl()

  - ### setTargetUrl

    public void setTargetUrl(String targetUrl)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `BaseConfigurationItem`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseConfigurationItem`